package com.uas.platform.b2b.service;

import java.util.List;


import com.uas.platform.b2b.model.PurchaseApCheck;
import com.uas.platform.b2b.model.PurchaseApCheckItem;

public interface PurchaseApCheckService {

	/**
	 * 获取需要上传到供应商ERP的客户委外订单
	 * 
	 * @return
	 */
	public List<PurchaseApCheck> findNotUploadAPcheck();

	/**
	 * 平台的应收对账传到供应商ERP之后，修改平台里面的订单的上传状态
	 * 
	 * @param idArray
	 */
	public void onApCheckSuccess(String[] idArray);

	/**
	 * 批量保存应收对账单
	 * 
	 * @param checkItems
	 * @return
	 */
	public void saveApChecks(List<PurchaseApCheckItem> checkItems);

	/**
	 * 保存生成的应收对账单主记录
	 */
	public PurchaseApCheck save(PurchaseApCheck purchaseApCheck);

	/**
	 * 根据ID获取生成的应收对账单
	 * 
	 * @param id
	 * @return
	 */
	public PurchaseApCheck findById(Long id);
}
